=== debian/changelog ===
libqtxdg (1.2.0+20150807-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Update copyright
  * Add -Wl,--as-needed to LDFLAGS
  * Initial release (Closes: #757133)

  [ Alf Gaida ]
  * some improvements in debian $foo
  * changes some whitespaces in rules

  [ Andrew Lee (李健秋) ]
  * Removing whitespaces at EOL and EOF.
  * Added myself as Uploader.
  * Merging upstream version 1.2.0+20150807.
  * Use whitespace separated instead of commas to fit the machine-readable
    copyright format.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Aug 2015 04:07:21 +0800
