=== debian/control ===
Source: libqtxdg
Section: libs
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libmagic-dev,
 pkg-config,
 qtbase5-private-dev (>= 5.3),
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/libqtxdg
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/libqtxdg.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git

Package: libqt5xdg1
Provides: libqt5xdg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqt5xdg0,
Replaces: libqt5xdg0,
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Implementation of the XDG Specifications for Qt, libs
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libqt5xdg1 (= ${binary:Version}),
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt5xdg1-dbg
Section: debug
Priority: extra
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 libqt5xdg1 (= ${binary:Version}),
Description: Debug symbols for libqtxdg
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package contains debug symbols for libqtxdg.
