=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh ${@} --buildsystem cmake --parallel \
		--dbg-package=libqt5xdg1-dbg \
		--list-missing \
		--fail-missing
