=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    http://downloads.lxqt.org/libqtxdg/([\d\.]+)/ libqtxdg-([\d\.]+)\.tar\.xz
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/libqtxdg/releases .*/libqtxdg-([\d\.]+)\.tar\.xz
