=== debian/changelog ===
libqtxdg (1.3.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 17:01:26 +0100

libqtxdg (1.3.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Update Vcs-*.
  * Update gbp.conf.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 12 Nov 2015 19:03:47 +0800

libqtxdg (1.3.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 1.3.0.

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Oct 2015 18:09:50 +0100

libqtxdg (1.2.0+20150807-2) unstable; urgency=medium

  * cme fix dpkg-control
  * remove not needed breaks and replaces
  * removed unused files and paragraphs from copyright
  * use only github in watchfile
  * update upstream signing key

 -- Alf Gaida <agaida@siduction.org>  Mon, 31 Aug 2015 23:37:19 +0200
