=== debian/control ===
Source: libqtxdg
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libmagic-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/libqtxdg.git -b debian/sid
Homepage: https://github.com/lxde/libqtxdg

Package: libqt5xdg1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdg
Description: Implementation of the XDG Specifications for Qt, libs
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqt5xdg1 (= ${binary:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides development files.
