=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 set(PROJECT_NAME "qtxdg_test")
+
+remove_definitions(
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_CAST_FROM_ASCII
+)
 
 set(CMAKE_AUTOMOC TRUE)
 
@@ -11,7 +16,7 @@
 endmacro()
 
 include_directories (
-    ${CMAKE_SOURCE_DIR}
+    "${CMAKE_SOURCE_DIR}/qtxdg"
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
@@ -22,4 +27,5 @@
 qtxdg_add_test(
     qtxdg_test
     tst_xdgdirs
+    tst_xdgdesktopfile
 )
