=== debian/changelog ===
libqtxdg (2.0.0-8) unstable; urgency=medium

  * Added dependency libqt5svg5-dev to QtXdgIconloader dev package.
    (Closes: #877569)- Thanks Tim Dengel <tim.dengel.debian@gmail.com>
  * Bumped Standards to 4.1.1
  * added override_dh_missing to rules

 -- Alf Gaida <agaida@siduction.org>  Tue, 03 Oct 2017 16:32:20 +0200

libqtxdg (2.0.0-7) unstable; urgency=medium

  * Added qttranslations5-l10n to Recommends - without this packagage there are
    no working shortcuts in localized LXQt desktops. So we want to make sure
    that the package is at least recommended for qtxdg based packages.

 -- Alf Gaida <agaida@siduction.org>  Mon, 24 Jul 2017 21:54:16 +0200

libqtxdg (2.0.0-6) unstable; urgency=medium

  * Bump Standards to 4.0.0 - no changes needed
  * Added Dependeny share-mime-info (Closes: #866744)
  * Bumped year in copyrights
  * Removed --parallel from rules, default in compat-leveld 10

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 14:15:07 +0200

libqtxdg (2.0.0-5) unstable; urgency=medium

  * Rebuild  with Qt 5.7.1~

 -- Alf Gaida <agaida@siduction.org>  Fri, 04 Nov 2016 17:59:49 +0100

libqtxdg (2.0.0-4) unstable; urgency=medium

  * Cherry-picked new upstream release 2.0.0.
  * Added current signing key
  * Bumped compat to 10
  * Bumped debhelper to (>= 10)
  * Added build dependency libqt5svg5-dev
  * Renamed package libqt5xdg1 -> libqt5xdg2 (soname bump)
  * Added packages libqt5xdgiconloader2 and libqt5xdgiconloader-dev
  * XdgIconLoader: Recommend gtk-update-icon-cache
    Thanks Rohan Garg <rohan@kde.org>
  * Renamed install and symbols files
  * Fixed symbols
  * Fixed .gitignore
  * Reworked descriptions in debian/control to prevent lintian whining
  * Fixed copyright for xdgiconloader
  * Added README.md to debian/docs
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Sat, 09 Jul 2016 20:16:32 +0200

libqtxdg (1.3.0-4) unstable; urgency=medium

  * Added libfile-mimeinfo-perl as dependency, we really need this, a
    recommendation is not enough. Thanks tsujan. 
  * Bumped standards to 3.9.8, no changes needed
  * Bump years in copyright
  * Added README to debian/docs
  * Added hardening=+all
  * Exported  LC_ALL=C.UTF-8 - define language settings for 
    reproducible builds
  * Fixed VCS-fields, use https and plain /git/
  * Fixed copyrights Format field to https
    
 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Aug 2016 23:06:12 +0200
