=== debian/changelog ===
libqtxdg (3.1.0-5build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:07:40 -0500

libqtxdg (3.1.0-5build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 10:08:58 -0600

libqtxdg (3.1.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 01:52:34 +0100

libqtxdg (3.1.0-4) unstable; urgency=medium

  * Switch to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 02:22:57 +0100

libqtxdg (3.1.0-3) experimental; urgency=medium

  * Removed superfluous line from symbols
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Thu, 30 Nov 2017 21:26:44 +0100

libqtxdg (3.1.0-2) experimental; urgency=medium

  * Pick up Qt 5.9.2

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 19:11:33 +0200

libqtxdg (3.1.0-1) experimental; urgency=medium

  * Cherry-picked new upstream-release 3.1.0
  * Added lintian-overrides for tools package
  * Added new symbols for action handling

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 13:53:34 +0200

libqtxdg (3.0.0-1) experimental; urgency=medium

  * Imported new upstream release: 3.0.0
  * Switched to experimental
  * Renamed packages to reflect the new soname
  * Added dependency libqt5svg5-dev to QtXdgIconloader dev package.
  * Bumped Standards to 4.1.1
  * Added override_dh_missing
  * Added tools package
  * Fixed symbols
  * Reworked copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Oct 2017 18:01:08 +0200
