=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libqtxdg.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libqtxdg.git
 Homepage: https://github.com/lxde/libqtxdg
 
-Package: libqt5xdg2
+Package: libqt5xdg3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -34,7 +34,7 @@
  .
  This package provides the shared library.
 
-Package: libqt5xdgiconloader2
+Package: libqt5xdgiconloader3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -52,7 +52,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libqt5xdg2 (= ${binary:Version}),
+         libqt5xdg3 (= ${binary:Version}),
          libqt5xdgiconloader-dev (= ${binary:Version})
 Description: Development files for libqtxdg
  This library implements functions of the XDG Specifications in Qt. It is part
@@ -63,11 +63,21 @@
 Package: libqt5xdgiconloader-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          libqt5svg5-dev,
-         libqt5xdgiconloader2 (= ${binary:Version})
+         libqt5xdgiconloader3 (= ${binary:Version})
 Description: Development files for libqtxdgiconloader
  This library implements the backend to load icons which are handled according
  to the XDG Icon Theme Specification in Qt. It is part of LXQt.
  .
  This package provides development files.
+
+Package: qtxdg-dev-tools
+Architecture: any
+Section: devel
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libqt5xdgiconloader3 (= ${binary:Version})
+Description: Development tools for libqtxdgiconloader
+ This package provide some development tools for qtxdg.
