=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake \
+	dh ${@} --buildsystem cmake
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DBUILD_DEV_UTILS=YES \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
