=== debian/changelog ===
libqtxdg (3.2.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Sep 2018 10:28:10 -0700

libqtxdg (3.2.0-2) unstable; urgency=medium

  * Added libqtxdg dependency libglib2.0-bin
    (Closes: #902054, #902055)

 -- Alf Gaida <agaida@siduction.org>  Sat, 23 Jun 2018 14:35:01 +0200

libqtxdg (3.2.0-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.2.0
  * Fixed watchfile lxde -> lxqt
  * Moved ./debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 01:44:48 +0200

libqtxdg (3.1.0-6) unstable; urgency=medium

  * Bumped debhelper to >= 11~
  * Bumped compat to 11
  * Installed examples
  * Removed cmake minimum version, not needed any longer
  * Bumped Standards to 4.1.4, no changes needed
  * Removed trailing whitespaces
  * Changed VCS fields to salsa
  * Fixed homepage link
  * Added dependency file to libqtxdg
  * Added dependency libmagic-dev to libqtxdg-dev
  * Use a secure link to copyright-format
  * Fixed Source link
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Apr 2018 20:32:25 +0200
