=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: libqtxdg
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
+               cmake,
                libmagic-dev,
                libqt5svg5-dev,
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libqtxdg.git
-Homepage: https://github.com/lxde/libqtxdg
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
+Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
+Homepage: https://github.com/lxqt/libqtxdg
 
 Package: libqt5xdg3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         file,
          libfile-mimeinfo-perl,
+         libglib2.0-bin,
          shared-mime-info
 Recommends: qttranslations5-l10n
 Pre-Depends: ${misc:Pre-Depends}
@@ -52,6 +55,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
+         libmagic-dev,
          libqt5xdg3 (= ${binary:Version}),
          libqt5xdgiconloader-dev (= ${binary:Version})
 Description: Development files for libqtxdg
