## libqtxdg 3.3.1

=== debian/changelog ===
libqtxdg (3.3.1-2) unstable; urgency=medium

  * Upstream patch: Avoid freeze for DBusActivatable apps (Closes: #928721)

 -- Alf Gaida <agaida@siduction.org>  Thu, 09 May 2019 17:57:01 +0200

libqtxdg (3.3.1-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.3.1.
  * Added build dependency lxqt-build-tools (>= 0.6.0)
  * Removed some cmake files from debian/copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 17:18:32 +0100

libqtxdg (3.3.0-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.3.0
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Added Build-Depends-Package field to symbols
  * Fixed the location of some files in d/copyright
  * Fixed years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 12:49:28 +0100
